Summary: Perl module for using iconv charset reencoding.
Name: perl-Text-Iconv
Version: 1.4
Release: 1.ker.rhel4
Group: Applications/Text
Packager: Milan Kerslager <kerslage@linux.cz>
Source: Text-Iconv-%{version}.tar.gz
URL: http://search.cpan.org/search?mode=module&query=text-iconv
License: distributable
Buildroot: /tmp/%{name}-root
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')

%description
Charset reencoding utility iconv is a part of glibc. This module
allow use reencoding texts from one encoding to another.

%prep
%setup -q -n Text-Iconv-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > Iconv-%{version}-filelist
if [ "$(cat Iconv-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Iconv-%{version}-filelist
%defattr(-,root,root)
%doc Changes README

%changelog
* Wed Feb 23 2005 Milan Kerslager <kerslage@linux.cz> 1.4-1.ker.rhel4
- rebuild for RHEL4
- update to the latest version

* Wed Dec 17 2003 Milan Kerslager <kerslage@linux.cz> 1.2-2_WB3
- rebuild for WhiteBoxLinux.org

* Wed May 14 2003 Milan Kerslager <kerslage@linux.cz> 1.2-1.9
- rebuild for RH 9

* Tue Nov 26 2002 Milan Kerslager <kerslage@linux.cz> 1.2-1
- initial release for RH 8.0
